var omnitrix = implement("tmf:external/omnitrix_logic");
omnitrix = omnitrix.create(this, [
    {
        "heatblast": "Heatblast",
        "wildmutt": "Wildmutt",
        "diamondhead": "Diamondhead",
        "xlr8": "XLR8",
        "grey_matter": "Grey Matter",
        "four_arms": "Four Arms",
        "stinkfly": "Stinkfly",
        "ripjaws": "Ripjaws",
        "upgrade": "Upgrade",
        "ghostfreak": "Ghostfreak"
    },
    {
        "foo": "Foo 1",
        "bar": "Bar 2",
        "baz": "Baz 3"
    }
]);

function init(hero) {
    hero.setName("Omnitrix");
    hero.setTier(10);
    
    hero.setChestplate("Watch");
    
    hero.addPowers("tmf:omnitrix");

    omnitrix.init(hero);
}
